package com.yanzuoguang.util.table;

import java.util.ArrayList;
import java.util.List;

/**
 * 表格头
 *
 * @author 颜佐光
 */
public class TableHead {

    /**
     * 构造函数
     */
    public TableHead() {
        this.totalColumn = 0;
        this.totalRow = 0;
        this.dataColumn = 0;
        this.columns = new ArrayList<>();
    }

    /**
     * 总行数
     */
    private int totalRow;

    /**
     * 总列数
     */
    private int totalColumn;

    /**
     * 已添加数据列
     */
    private int dataColumn;

    /**
     * 列头数
     */
    private List<TableHeadItem> columns;

    public int getTotalRow() {
        return totalRow;
    }

    public void setTotalRow(int totalRow) {
        this.totalRow = totalRow;
    }

    public int getTotalColumn() {
        return totalColumn;
    }

    public void setTotalColumn(int totalColumn) {
        this.totalColumn = totalColumn;
    }

    public int getDataColumn() {
        return dataColumn;
    }

    public void setDataColumn(int dataColumn) {
        this.dataColumn = dataColumn;
    }

    public List<TableHeadItem> getColumns() {
        return columns;
    }

    public void setColumns(List<TableHeadItem> columns) {
        this.columns = columns;
    }
}
